org.apache.maven.scm.provider.tfs.command

## Class TfsCheckOutCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkout.AbstractCheckOutCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsCheckOutCommand

All Implemented Interfaces:
  Command

    public class TfsCheckOutCommand
    extends AbstractCheckOutCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TfsCheckOutCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TfsCommand` `createGetCommand(ScmProviderRepository r, ScmFileSet f, ScmVersion v, boolean recursive)`
`protected CheckOutScmResult` `executeCheckOutCommand(ScmProviderRepository r, ScmFileSet f, ScmVersion v, boolean recursive)` Execute Check out command line.
`int` `executeUnmapCommand(ScmProviderRepository r, ScmFileSet f)`

### Methods inherited from class org.apache.maven.scm.command.checkout.AbstractCheckOutCommand

`executeCheckOutCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsCheckOutCommand

    public TfsCheckOutCommand()

### Method Detail

#### executeCheckOutCommand

    protected CheckOutScmResult executeCheckOutCommand(ScmProviderRepository r,
                                                       ScmFileSet f,
                                                       ScmVersion v,
                                                       boolean recursive)
                                                throws ScmException

Description copied from class: `AbstractCheckOutCommand`
Execute Check out command line.

Specified by:
  `executeCheckOutCommand` in class `AbstractCheckOutCommand`
Parameters:
  `r` - not null
  `f` - not null
  `v` - not null
  `recursive` - `true` if recursive check out is wanted, `false` otherwise.
Returns:
  the checkout result
Throws:
  `ScmException` - if any

#### createGetCommand

    public TfsCommand createGetCommand(ScmProviderRepository r,
                                       ScmFileSet f,
                                       ScmVersion v,
                                       boolean recursive)

#### executeUnmapCommand

    public int executeUnmapCommand(ScmProviderRepository r,
                                   ScmFileSet f)
                            throws ScmException

Throws:
  `ScmException`